Package: org.codehaus.groovy.grails.support

## [Groovy] Class DevelopmentShutdownHook

- org.codehaus.groovy.grails.support.DevelopmentShutdownHook

- All Implemented Interfaces and Traits:
    org.springframework.context.ApplicationContextAware

      class DevelopmentShutdownHook
      extends java.lang.Object

  Registers a shutdown hook to close the application context when CTRL+C is hit in dev mode.

  Authors:
    Graeme Rocher
  Since:
    1.1.1

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Object` | `console`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.lang.Object console

  - ### Method Detail

    - #### void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)